Event data

List event properties in table form

GET/api/websites/{websiteId}/event-data-pivot

Returns a page of occurrences of the specified event, with event details and property keys and values grouped into one row per occurrence.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.

Query parameters

NameTypeDescription
startAtrequiredintegerStart of the date range as a Unix timestamp in milliseconds.
endAtrequiredintegerEnd of the date range as a Unix timestamp in milliseconds.
eventNamerequiredstringName of the custom event.
timezonestringIANA time zone used to interpret dates and group results, for example America/New_York.
unitstringTime interval used to group results: minute, hour, day, month, or year.
pathstringFilter by page URL path.
referrerstringFilter by referring URL.
titlestringFilter by page title.
querystringFilter by page URL query string.
osstringOperating system used by the visitor.
browserstringBrowser used by the visitor.
devicestringDevice category used by the visitor.
countrystringCountry code of the visitor.
regionstringRegion or subdivision of the visitor.
citystringCity of the visitor.
tagstringTag attached to the tracked activity.
hostnamestringHostname on which the activity occurred.
distinctIdstringCustom identifier assigned to the visitor.
languagestringPreferred language reported by the visitor browser.
eventstringFilter by custom event name.
utmSourcestringUTM campaign source.
utmMediumstringUTM campaign medium.
utmCampaignstringUTM campaign name.
utmContentstringUTM campaign content.
utmTermstringUTM campaign search term.
excludeBouncestringSet a non-empty value to exclude visits with only one pageview.
segmentstringID of a saved segment used to filter results.
cohortstringID of a saved cohort used to filter visitors.
eventTypeintegerEvent type: 1 for a pageview or 2 for a custom event.
matchenum<string>Whether records must match all filters or any filter.
Options: all, any
pageintegerPage number, starting at 1.
pageSizeintegerNumber of results per page.
maxResultsintegerMaximum number of results to include.

Responses

200The operation completed successfully.
NameTypeDescription
countrequirednumberNumber of matching records.
datarequiredobject[]Data returned by the operation.
isCappedbooleanWhether the results were truncated by the maximum result limit.
orderBystringField to sort the results by.
pagerequirednumberPage number, starting at 1.
pageSizerequirednumberNumber of results per page.
searchstringSearch text used to filter results.
sortDescendingbooleanWhether to sort results in descending order.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL